Package org.springframework.security.authentication.event

# Class AbstractAuthenticationFailureEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.event.AbstractAuthenticationEvent
org.springframework.security.authentication.event.AbstractAuthenticationFailureEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthenticationFailureBadCredentialsEvent`, `AuthenticationFailureCredentialsExpiredEvent`, `AuthenticationFailureDisabledEvent`, `AuthenticationFailureExpiredEvent`, `AuthenticationFailureLockedEvent`, `AuthenticationFailureProviderNotFoundEvent`, `AuthenticationFailureProxyUntrustedEvent`, `AuthenticationFailureServiceExceptionEvent`

public abstract class AbstractAuthenticationFailureEvent extends AbstractAuthenticationEvent
Abstract application event which indicates authentication failure for some reason.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AbstractAuthenticationFailureEvent(Authentication authentication, AuthenticationException exception)`

## Method Summary

Modifier and Type
Method
Description
`AuthenticationException`
`getException()`

### Methods inherited from class org.springframework.security.authentication.event.AbstractAuthenticationEvent

`getAuthentication`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractAuthenticationFailureEvent

public AbstractAuthenticationFailureEvent(Authentication authentication, AuthenticationException exception)

## Method Details

### getException

public AuthenticationException getException()